# extractComponentType abstract method

Type? extractComponentType(

1. Class parentClass

)

Extract component type for arrays/lists

Parameters:

- `parentClass`: The class representing the collection.

Returns:

- The component type, or `null` if not an array/list.

## Example

    final listClass = await loader.loadClass<List<String>>('dart:core/list.dart.List');
    final componentType = loader.extractComponentType(listClass);
    print(componentType?.qualifiedName); // "dart:core/string.dart.String"

## Implementation

    Type? extractComponentType(Class parentClass);